## LOC Get Engine Lock request LOC Get Engine Lock request |

## Functions

QmiMessageLocGetEngineLockOutput * | qmi_message_loc_get_engine_lock_output_ref ()
void | qmi_message_loc_get_engine_lock_output_unref ()
gboolean | qmi_message_loc_get_engine_lock_output_get_result ()
void | qmi_client_loc_get_engine_lock ()
QmiMessageLocGetEngineLockOutput * | qmi_client_loc_get_engine_lock_finish ()

## Types and Values

| QmiMessageLocGetEngineLockOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageLocGetEngineLockOutput

## Description

## Functions

### qmi_message_loc_get_engine_lock_output_ref ()

    QmiMessageLocGetEngineLockOutput *
    qmi_message_loc_get_engine_lock_output_ref
                                   (QmiMessageLocGetEngineLockOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocGetEngineLockOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_loc_get_engine_lock_output_unref ()

    void
    qmi_message_loc_get_engine_lock_output_unref
                                   (QmiMessageLocGetEngineLockOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocGetEngineLockOutput. |

Since: 1.28

### qmi_message_loc_get_engine_lock_output_get_result ()

    gboolean
    qmi_message_loc_get_engine_lock_output_get_result
                                   (QmiMessageLocGetEngineLockOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocGetEngineLockOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_loc_get_engine_lock ()

    void
    qmi_client_loc_get_engine_lock (QmiClientLoc *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Engine Lock request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_get_engine_lock_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_loc_get_engine_lock_finish ()

    QmiMessageLocGetEngineLockOutput *
    qmi_client_loc_get_engine_lock_finish (QmiClientLoc *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_loc_get_engine_lock()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_get_engine_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocGetEngineLockOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_get_engine_lock_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageLocGetEngineLockOutput

    typedef struct _QmiMessageLocGetEngineLockOutput QmiMessageLocGetEngineLockOutput;

The QmiMessageLocGetEngineLockOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28